<p>Biblioteka <code>ieee</code> sadrži nekoliko paketa koji nude različite funkcionalnosti. 
   Definicije podatkovnih tipova <code>std_logic</code> i <code>std_logic_vector</code> kao i unarnih i 
   binarnih operatora koji djeluju nad njima nalaze se u paketu <code>std_logic_1164</code>.
   Stoga ćemo pri opisivanju digitalnih sklopova uvijek uključivati sve elemente iz ovog paketa.
</p>

<form id="mojFormular" onsubmit="return false;">
<div class="mlQuestionText">
  <div>
    U prethodnom koraku napisali ste naredbu kojom ste uključili biblioteku <code>ieee</code>. Taj kod
    unesen je u kutiju za unos koja se nalazi u nastavku. Dodajte sada tom kodu naredbu kojom ćete uključiti
    sve elemente iz paketa <code>std_logic_1164</code> koji je dio biblioteke <code>ieee</code>.
  </div>
  <div>Naredba:<br>
       <textarea rows="5" cols="60" id="unos" name="unos"></textarea><br>
       <button onclick="provjeri(document.getElementById('unos').value, true, 'rez'); return false;">Provjeri</button><br>
       <div id="rez"></div>
  </div>
</div>
</form>

<script src="@#file#(vhdlparser.js)" type="text/javascript" charset="utf-8"></script>
<script src="@#file#(vhdlcheckers.js)" type="text/javascript" charset="utf-8"></script>
<script>
  var konfiguracija = @#raw-text#(jsinitdata);
  document.getElementById('unos').value = konfiguracija.enteredText;

  function questionCollectUserData() {
    let v = document.getElementById('unos').value;
    return {
      enteredText: v,
      textOK: provjeri(v, false, null)
    };
  }

  function provjeri(text, verbose, izlaz) {
      try {
        let tools = new VHDLCheckerTools();
        let builder = tools.buildVHDLChecker(text, function(parser) {return parser.parseLibsAndUses()});
        if(!builder.result.hasAnyErrorsOrInfos()) {
          let libNames = builder.node[0];
          let useNames = builder.node[1];
          tools.checkLibUses(builder.result, libNames, useNames, ["ieee"], [["ieee", "std_logic_1164", "all"]]);
        }
        if(verbose) {
          tools.generateHTMLResultRepresentation(builder.result, izlaz);
        }

        if(builder.result.hasAnyErrorsOrInfos()) {
          return false;
        }
        return true;
      } catch(errx) {
        if(verbose) document.getElementById(izlaz).innerHTML = "<strong>Napisani kod ne može se parsirati.</strong><br>Prijavljena greška je: "+errx;
        return false;
      }
  }
</script>

